Subject: More about TTF (group answers)

From: "L.S.Ng" <[email-masked]>
Date: Fri, 20 May 1994 18:57:48 BST

Date: Fri, 20 May 1994 11:08:44 -0500
From: Sy (a.k.a. Shi-Yew) <[email-masked]>

> Could you mail me the codes? The bitmap font can be used in
> which environment?

Yes, I will mail the code to you.

Those who are interested please try ftp ttf2bmp.zip from
bright.ecs.soton.ac.uk:/pub/incoming

If you have tried ftp but unsuccessful, please email me and I will send
you a copy.

By the way, I need someone to help me putting the files to
ifcss.org:/incoming/software but the connection from here has not been
possible.

Theoretically the bitmap can be used in ANY environment.

The program reads a Big5 TTF font file, but not a GB font file.

The converted bitmap is stored in an array called 'font_buf'.

No output file is produced.

I am sorry if end users are disappointed with the program.  It is
intended for programmers.  However, if you do know a bit of programming,
you can take advantage of it.  :-) For example, you can produce Windows
BMP files by using BMP conversion subroutine (if you have one).

But I believe many application programmers will be able to take advatage
of it and usable products should come out soon.

Date: Fri, 20 May 94 11:05:21 EST
From: [email-masked] (Duy-Minh NHIEU)

> Thanks and congragulation!  Can I have a copy of the code?

Don't thank me. The program is written by Lin Yawjen from NTU, Taiwan.
That explains why the program can only read Big5 TTF files.

However, there is nothing to stop anybody to modify it so that it can
read GB TTF (if there is one).  One of the reason I post it is to hope
that some of you may be able to do it.

Lin Yawjen is a very helpful person. Perhaps he is too busy to
accomplish so many task. Everyone can contribute.

He mentioned that the NTU TTF font are generated from Eten and DynaFont
bitmap!! What a job! And he said he is willing to give away the 'bitmap
to TTF' generator to the public domain. I think this can be used to
generate Guobiao TTF. Anybody interested should contact him directly.
His email address is shown in the NTU TTF packages README file. I can't
remember.

> What I want to do is to get a 64x64 bitmap from one of the TTF file and
> use it with cnprint to get good print outs.  I don't have an IBM at home
> and I don't have Chinese window! Cnprint is my current best tool for
> printing.  However since there are not font bigger than 24x24 available
> (share/free) The result is not too nice if enlarged.

I am not sure which platform Cnprint is on. Is it Unix? Or Mac?

You can generate 64x64 bitmap easily from the ttf2bmp program. You need
to generate bitmap file recognised by your cnprint. You should ask those
who knows CNprint.

I will attempt to write a TTF to Postscript translator so that we can
print Chinese characters on Postscript devices CHEAPLY.  Actually the
work is quite trivial.  Because TTF and Postscript both define curves
using second order Bezier approximation, so what I need to do is just
translate into Postscript syntax.  I hope the author of hz2ps will do it
first.  :-)

From: Frits Mastik <[email-masked]>

>I am very interested in having a look at your conversion program.
>My main interest is to be able to use these TTF fonts in CORELDRAW.
>Because I can't use the fonts directly, I am thinking about
>converting them to an exceptable format for CORELDRAW.
>So I would be very greatful if you could send me a copy of your
>efforts.

At the moment, I have a program that generate Microsoft BMP. So it is
possible to combine ttf2bmp and this to get TTF to MS-BMP function. And
I believe CorelDraw will recognise MS-BMP files. But as I said, this is
not itself a finished product. If you are interested in doing a little
bit of programming, you may have a go. But I am sorry that is all I can
do.

I believe others may have better solution.

By the way, does CorelDraw read Postscript file?

From: Lance Carnes <[email-masked]>

> I hope you don't mind my asking you a question on the NTU TrueType fonts
> available for downloading at ifcss.org.  I am very new to using Chinese
> Windows (GB version, I guess).  I downloaded the NTU fonts; however, my
> Chinese Windows won't recognize them when I tried to install them through
> "Control Panel" and "Fonts".  Are they for GB version or Big5 version of
> Chinese Windows?  If they are actually for Big5 version, is there a way
> of converting them so they can be used in GB version of Chinese Windows?
> By the way, how can you tell whether you are using GB version of Big5
> version of Chinese Windows?

Unfortunately those NTU Fonts are only for Big5 Chinese Windows. I am
not responsible for the fonts itself. You may like to talk to the author
directly.

>If there is no way I can use the NTU TrueType fonts, do you know of any
>place I can get some additional Chinese TrueType fonts to work with GB
>version of Chinese Windows?  Thank you for the help in advance!

I am sorry I can't help you directly.  We need somebody to take up the
project for Guobiao True Type Font, as I suggested above.

From: [email-masked]

> Can I in any way utilize what you have just made in concord with a DOS,
> NJSTAR PRO-surrounding?

If you already have NJStar-Pro, I imagine that ttf2bmp program is quite
useless to you.  But not to disappoint you, soon there will be a program
to produce Postscript file from Big5 document using the big5 NTU
true-type font.

Since NJ-Star can produce Big5 character, you will be able to use it
together with the new program.  And I think the quality of the print out
will be at least as good as NJSTAR PRO fonts.

But you may have to wait for a few weeks for this.

I believe subsequently, future version of NJSTAR (or others) should be
able to take advantage of the TTF2BMP routines so that it can slim down
on its large font files. The mechanism is that only one TTF font file is
required for fonts of any size.

The bottom line is that TTF is no longer restricted to Windows.